###  | # Boost.Python ## Index

## Synopsis

Welcome to version 2 of Boost.Python, a C++ library which enables seamless interoperability between C++ and the Python programming language. The new version has been rewritten from the ground up, with a more convenient and flexible interface, and many new capabilities, including support for:

- References and Pointers
- Globally Registered Type Coercions
- Automatic Cross-Module Type Conversions
- Efficient Function Overloading
- C++ to Python Exception Translation
- Default Arguments
- Keyword Arguments
- Manipulating Python objects in C++
- Exporting C++ Iterators as Python Iterators
- Documentation Strings

## Contents

Tutorial Introduction
Building and Testing
Reference
Configuration Information
Known Working Platforms and Compilers
Definitions
Frequently Asked Questions (FAQs)
Progress Reports
Acknowledgments

Revised 08 October, 2002

© Copyright Dave Abrahams 2002. All Rights Reserved.